Page MenuHomePhabricator

Fix structure tests for all skins
Closed, ResolvedPublic

Description

A few skins have autoloader errors and other related structure tests errors. We have to fix them all. T68926 added a job that runs Mediawiki structure tests to run on all the skins, some have been made voting but we still have to fix the following skins:

BlueSpiceSkin Fixed (depended on extension BlueSpiceFoundation
Bouquet
CustomPageDepend on same name extension but it is a no/no T153050. Need renaming
Daddio
Donate
Gamepress
Metrolook
p2wiki
Refreshed
Splash
Synagonismhttps://gerrit.wikimedia.org/r/#/c/327535/ + a missing arrow-down-focus-icon.png
Tempo
Truglass

They have the structure tests running but the result is ignored.

Event Timeline

hashar created this task.Sep 26 2015, 7:25 PM
hashar raised the priority of this task from to Normal.
hashar updated the task description. (Show Details)
hashar added subscribers: Jdlrobson, Volker_E, Aklapper and 8 others.

Change 241455 had a related patch set uploaded (by Hashar):
Fix autoloader for EruditeTemplate

https://gerrit.wikimedia.org/r/241455

Change 241456 had a related patch set uploaded (by Hashar):
Fix autoloader for ExampleTemplate

https://gerrit.wikimedia.org/r/241456

Change 241457 had a related patch set uploaded (by Hashar):
Fix autoloader for SplashTemplate

https://gerrit.wikimedia.org/r/241457

#MediaWiki-skins-BlueSky fails with:

1) Warning
The data provider specified for ResourcesTest::testFileExistence is invalid.
ResourceLoaderFileModule::readStyleFile: style file not found: "/mwskins/BlueSky//resources/src/mediawiki.skinning/interface.css"
2) Warning
The data provider specified for ResourcesTest::testStyleMedia is invalid.
ResourceLoaderFileModule::readStyleFile: style file not found: "/mw/skins/BlueSky//resources/src/mediawiki.skinning/interface.css"

Its skin.json defines:

"ResourceModules": {
    "skins.bluesky": {
        "styles": {
            "resources/src/mediawiki.skinning/interface.css": {
                "media": "screen"
            },

Should we just rename the style name to skin.skinanme.style and same for script in same format but instead of it being style it should be script or js.

If you look at https://git.wikimedia.org/blob/mediawiki%2Fskins%2FBlueSky/ebab0051ce0700477cac85e96be2f5dcda902623/BlueSky.php it seems it is different to skin.json. Skin.json should be updated to what the php version has and empty php entry point

Change 241465 had a related patch set uploaded (by Paladox):
empty php entry point, remove non existing css files

https://gerrit.wikimedia.org/r/241465

Change 241455 merged by jenkins-bot:
Fix autoloader for EruditeTemplate

https://gerrit.wikimedia.org/r/241455

Change 241456 merged by jenkins-bot:
Fix autoloader for ExampleTemplate

https://gerrit.wikimedia.org/r/241456

Change 241457 merged by jenkins-bot:
Fix autoloader for SplashTemplate

https://gerrit.wikimedia.org/r/241457

Change 241471 had a related patch set uploaded (by Paladox):
Remove non existing css file reference

https://gerrit.wikimedia.org/r/241471

Change 241465 abandoned by Paladox:
empty php entry point, remove non existing css files

Reason:
Splitted the patches out to

https://gerrit.wikimedia.org/r/#/c/241471/

and

https://gerrit.wikimedia.org/r/#/c/241472/

https://gerrit.wikimedia.org/r/241465

Change 291925 had a related patch set uploaded (by Paladox):
Disable testStyleMedia test for skins only

https://gerrit.wikimedia.org/r/291925

Change 291925 abandoned by Paladox:
Disable testStyleMedia test for skins only

https://gerrit.wikimedia.org/r/291925

Krinkle removed a subscriber: Krinkle.Jun 2 2016, 9:57 PM
SamanthaNguyen moved this task from Backlog to Bugs on the BlueSky board.Aug 6 2016, 8:10 AM

Change 241471 abandoned by Paladox:
Add missing css file

https://gerrit.wikimedia.org/r/241471

Change 323161 had a related patch set uploaded (by Hashar):
Run MediaWiki 'skins' testsuite on all skins

https://gerrit.wikimedia.org/r/323161

T68926 will get us a Jenkins job that runs the MediaWiki structure tests. Applies it on every skins we have configured in CI has non voting job.

Change 323161 merged by jenkins-bot:
Run MediaWiki 'skins' testsuite on all skins

https://gerrit.wikimedia.org/r/323161

Change 323247 had a related patch set uploaded (by Hashar):
Make skin tests to vote when they are passing

https://gerrit.wikimedia.org/r/323247

hashar updated the task description. (Show Details)Nov 23 2016, 9:11 PM
hashar set Security to None.

Change 323247 merged by jenkins-bot:
Make skin tests to vote when they are passing

https://gerrit.wikimedia.org/r/323247

Change 323329 had a related patch set uploaded (by Paladox):
Move variables from ResourceLoaderLESSVars to variables.less

https://gerrit.wikimedia.org/r/323329

Change 323329 abandoned by Paladox:
Move variables from ResourceLoaderLESSVars to variables.less

https://gerrit.wikimedia.org/r/323329

Change 323334 had a related patch set uploaded (by Paladox):
Fix mw skin unit tests

https://gerrit.wikimedia.org/r/323334

Change 323334 abandoned by Paladox:
Fix mw skin unit tests

https://gerrit.wikimedia.org/r/323334

CI now supports injecting skins as dependencies to an extension or extension as a dependency to a skin (was T151593). That will help fix a few cases. The first I have fixed is the skin BlueSpiceSkin which depends on the extension BlueSpiceFoundation, it is now passing just fine '\O.O/'.

hashar updated the task description. (Show Details)
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 14 2016, 9:15 PM

Change 327535 had a related patch set uploaded (by Hashar):
Add SynagonismTemplate class to the autoloader

https://gerrit.wikimedia.org/r/327535

hashar updated the task description. (Show Details)Dec 15 2016, 4:33 PM

Change 327535 merged by jenkins-bot:
Add SynagonismTemplate class to the autoloader

https://gerrit.wikimedia.org/r/327535

hashar closed this task as Resolved.Apr 21 2017, 12:34 PM

That is mostly fixed. We have the structure tests running on most of the skins we care about.